#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 17. Networking Libraries

- Prev

  libtirpc-1.3.1

- Next

  nghttp2-1.43.0

- Up
- Home

# neon-0.31.2

## Introduction to neon

neon is an HTTP and WebDAV client library, with a C interface.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://notroj.github.io/neon/neon-0.31.2.tar.gz

- Download MD5 sum: c871268f0ba365b71f1ec1bf068d6ab3

- Download size: 848 KB

- Estimated disk space required: 8.4 MB (additional 19 MB for the tests)

- Estimated build time: 0.1 SBU (additional 0.3 SBU for the tests)

### neon Dependencies

#### Optional

GnuTLS-3.7.0, libxml2-2.9.10, MIT Kerberos V5-1.19.1, libproxy, and PaKChoiS

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/neon

## Installation of neon

Install neon by running the following commands:

    ./configure --prefix=/usr    \
                --with-ssl       \
                --enable-shared  \
                --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--with-ssl`: This switch enables SSL support using OpenSSL or GnuTLS respectively. To force GnuTLS usage when it is are present, simply pass `--with-ssl=gnutls` and `--with-ca-bundle=/etc/pki/tls/certs/ca-bundle.crt` to the configure script.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Program: neon-config
Installed Library: libneon.so
Installed Directories: /usr/include/neon and /usr/share/doc/neon-0.31.2

### Short Descriptions

neon-config | is a script that provide information about an installed copy of the neon library
`libneon.so` | is used as a high-level interface to common HTTP and WebDAV methods

Last updated on 2021-02-20 11:35:58 -0800

- Prev

  libtirpc-1.3.1

- Next

  nghttp2-1.43.0

- Up
- Home